ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
page_meta_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| set_page_title ($NewTitle)
| add_page_keywords ($NewKeywords)
| add_page_description ($NewDescription)
| compile_title (&$Settings)
| compile_keywords (&$Settings)
| compile_description (&$Settings)

## Data Fields
| $PageTitle = ''
| $PageKeywords = ''
| $PageDescription = ''
| $Cache = false
| $CachedMultyFS = false
| $PageComposer = false
| $PageMarkupUtilities = false
| $Settings = false
| $String = false
| $Tags = false
| $Trace = false

## Detailed Description

Page composer utilities.

Author
  Dodonov A.A.

Definition at line 26 of file page_meta.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Author
  Dodonov A.A.

Definition at line 93 of file page_meta.php.

{
try
{
$this->Cache = get_package( 'cache' , 'last' , __FILE__ );
$this->CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$this->PageMarkupUtilities = get_package(
'page::page_markup::page_markup_utilities' , 'last' , __FILE__
);
$this->Settings = get_package_object( 'settings::settings' , 'last' , __FILE__ );
$this->String = get_package( 'string' , 'last' , __FILE__ );
$this->Tags = get_package( 'string::tags' , 'last' , __FILE__ );
$this->Trace = get_package( 'trace' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

add_page_description | ( |  | $NewDescription | ) |

Function adds page's description.

Parameters

  $NewDescription | - Additional page's description.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 198 of file page_meta.php.

{
try
{
if( strlen( $this->PageDescription ) )
{
$this->PageDescription .= ' '.$NewDescription;
}
else
{
$this->PageDescription = $NewDescription;
}
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

add_page_keywords | ( |  | $NewKeywords | ) |

Function adds page's keywords.

Parameters

  $NewKeywords | - Additional page's keywords.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 161 of file page_meta.php.

{
try
{
if( strlen( $this->PageKeywords ) )
{
$this->PageKeywords .= ' '.$NewKeywords;
}
else
{
$this->PageKeywords = $NewKeywords;
}
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

compile_description | ( | & | $Settings | ) |

Function compiles macro 'description'.

Parameters

  $Settings | - Compilation parameters.

Returns
  Widget.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 307 of file page_meta.php.

{
try
{
return( $this->PageDescription );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

compile_keywords | ( | & | $Settings | ) |

Function compiles macro 'keywords'.

Parameters

  $Settings | - Compilation parameters.

Returns
  Widget.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 273 of file page_meta.php.

{
try
{
return( $this->PageKeywords );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

compile_title | ( | & | $Settings | ) |

Function compiles macro 'title'.

Parameters

  $Settings | - Compilation parameters.

Returns
  Widget.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 239 of file page_meta.php.

{
try
{
return( $this->PageTitle );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

set_page_title | ( |  | $NewTitle | ) |

Function sets page's title.

Parameters

  $NewTitle | - New page's title.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 131 of file page_meta.php.

{
try
{
$this->PageTitle = $NewTitle;
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$Cache = false

Cached object.

Author
  Dodonov A.A.

Definition at line 74 of file page_meta.php.

$CachedMultyFS = false

Definition at line 75 of file page_meta.php.

$PageComposer = false

Definition at line 76 of file page_meta.php.

$PageDescription = ''

Page's description.

Author
  Dodonov A.A.

Definition at line 62 of file page_meta.php.

$PageKeywords = ''

Page's keywords.

Author
  Dodonov A.A.

Definition at line 50 of file page_meta.php.

$PageMarkupUtilities = false

Definition at line 77 of file page_meta.php.

$PageTitle = ''

Page's title.

Author
  Dodonov A.A.

Definition at line 38 of file page_meta.php.

$Settings = false

Definition at line 78 of file page_meta.php.

$String = false

Definition at line 79 of file page_meta.php.

$Tags = false

Definition at line 80 of file page_meta.php.

$Trace = false

Definition at line 81 of file page_meta.php.

The documentation for this class was generated from the following file:

- packages/page/packages/page_meta/page_meta.php